Comments you submit will be routed for moderation. If you have an account, please log in first.
Modify

Ticket #3949 (new defect)

Opened 6 years ago

PermissionError [WinError 5] on Windows 7

Reported by: Weddingcrasher Owned by: wehart
Priority: normal Milestone:
Component: EXACT Version:
Keywords: Cc:

Description

Hello,
I tried to use the gcovr script on Windows 7 with Phyton 3.3.0 installed. When processing the script the following errors occur:

$ python gcovr ..
Traceback (most recent call last):
  File "C:\python\lib\subprocess.py", line 1090, in _execute_child
    startupinfo)
PermissionError: [WinError 5] Zugriff verweigert

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "gcovr", line 979, in <module>
    process_datafile(file,covdata,options)
  File "gcovr", line 556, in process_datafile
    stderr=subprocess.PIPE ).communicate()
  File "C:\python\lib\subprocess.py", line 818, in __init__
    restore_signals, start_new_session)
  File "C:\python\lib\subprocess.py", line 1096, in _execute_child
    raise WindowsError(*e.args)
PermissionError: [WinError 5] Zugriff verweigert

Attachments

View

Add a comment

Modify Ticket

Change Properties
<Author field>
Action
as new
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.